-- BagInfos.lua
-- Written by Habna


_G.BI = {}; -- Backpack Infos table in _G
--**v Control for backpack infos v**
BI["Ctr"] = Turbine.UI.Control();
BI["Ctr"]:SetParent( TB["win"] );
--BI["Ctr"]:SetVisible( ShowBagInfos );
BI["Ctr"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
BI["Ctr"]:SetBackColor( Turbine.UI.Color( BbcAlpha, BbcRed, BbcGreen, BbcBlue ) );
--BI["Ctr"]:SetBackColor( Color["red"] ); -- Debug purpose

BI["Ctr"].MouseClick = function( sender, args )
	BI["Lbl"].MouseClick( sender, args )
end
--**^
--**v Backpack infos & icon on TitanBar v**
BI["Icon"] = Turbine.UI.Control();
BI["Icon"]:SetParent( BI["Ctr"] );
BI["Icon"]:SetPosition( 5, 2 );
BI["Icon"]:SetSize( 24, TB["win"]:GetHeight() );
BI["Icon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
BI["Icon"]:SetBackground( 0x41008113 ); --> (Normal bag in game icon 24x30) --> 0x41007ecf (overloaded bag in game icon)
--BI["Icon"]:SetBackColor( Color["blue"] ); -- Debug purpose

BI["Icon"].MouseMove = function( sender, args )
	BI["Lbl"].MouseLeave( sender, args )
end

BI["Icon"].MouseLeave = function( sender, args )
	BI["Lbl"].MouseLeave( sender, args )
end

BI["Icon"].MouseClick = function( sender, args )
	BI["Lbl"].MouseClick( sender, args )
end

BI["Lbl"] = Turbine.UI.Label();
BI["Lbl"]:SetParent( BI["Ctr"] );
BI["Lbl"]:SetPosition( BI["Icon"]:GetLeft() + BI["Icon"]:GetWidth() + 2, 0 );
BI["Lbl"]:SetSize( 38, TB["win"]:GetHeight() );
--BI["Lbl"]:SetForeColor( Color["white"] );
BI["Lbl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
BI["Lbl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
--BI["Lbl"]:SetBackColor( Color["white"] ); -- Debug purpose

BI["Lbl"].MouseMove = function( sender, args )
	BI["Lbl"].MouseLeave( sender, args )
	ShowToolTipWin( "Bag" );
end

BI["Lbl"].MouseLeave = function( sender, args )
	TB["win"].MouseLeave( sender, args )
end

BI["Lbl"].MouseClick = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Right ) then
		_G.sFromCtr = "BI";
		ControlMenu:ShowMenu();
	elseif ( args.Button == Turbine.UI.MouseButton.Left ) then
		-- Open inventory
		-- Unable to send 'I' key to game
	end
end
--**^