-- DurabilityInfos.lua
-- Written by Habna


_G.DI = {}; -- Items Durability Infos table in _G
--**v Control for durability infos v**
DI["Ctr"] = Turbine.UI.Control();
DI["Ctr"]:SetParent( TB["win"] );
--DI["Ctr"]:SetVisible( ShowDurabilityInfos );
DI["Ctr"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
DI["Ctr"]:SetBackColor( Turbine.UI.Color( DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue ) );
--DI["Ctr"]:SetBackColor( Color["red"] ); -- Debug purpose

DI["Ctr"].MouseClick = function( sender, args )
	DI["Lbl"].MouseClick( sender, args )
end
--**^
--**v Durability icon & infos on TitanBar v**
DI["Icon"] = Turbine.UI.Control();
DI["Icon"]:SetParent( DI["Ctr"] );
DI["Icon"]:SetPosition( 5, 7 );
DI["Icon"]:SetSize( 32, 16 );
DI["Icon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
DI["Icon"]:SetBackground( 0x41007e28 ); -- 0x41007e29
--DI["Icon"]:SetBackColor( Color["blue"] ); -- Debug purpose
	
DI["Icon"].MouseMove = function( sender, args )
	DI["Lbl"].MouseLeave( sender, args )
end

DI["Icon"].MouseClick = function( sender, args )
	DI["Lbl"].MouseClick( sender, args )
end

DI["Lbl"] = Turbine.UI.Label();
DI["Lbl"]:SetParent( DI["Ctr"] );
DI["Lbl"]:SetPosition( DI["Icon"]:GetLeft() + DI["Icon"]:GetWidth() + 2, 0 );
--DI["Lbl"]:SetForeColor( Color["white"] );
DI["Lbl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
DI["Lbl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
--DI["Lbl"]:SetBackColor( Color["orange"] ); -- Debug purpose
	
DI["Lbl"].MouseMove = function( sender, args )
	DI["Lbl"].MouseLeave( sender, args )
	ShowToolTipWin( "DI" );
end

DI["Lbl"].MouseLeave = function( sender, args )
	TB["win"].MouseLeave( sender, args )
end

DI["Lbl"].MouseClick = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Right ) then
		_G.sFromCtr = "DI";
		ControlMenu:ShowMenu();
	elseif ( args.Button == Turbine.UI.MouseButton.Left ) then
		if frmEI then wEquipInfos:Close(); end
		if frmDI then wDurabilityInfos:Close(); end
		import (AppCtrD.."DurabilityInfosWindow");
		frmDurabilityInfosWindow();
	end
end
--**^