-- EquipInfos.lua
-- Written by Habna


_G.EI = {}; -- Equipment Infos table in _G
--**v Control for equipment infos v**
EI["Ctr"] = Turbine.UI.Control();
EI["Ctr"]:SetParent( TB["win"] );
--EI["Ctr"]:SetVisible( ShowEquipInfos );
EI["Ctr"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
EI["Ctr"]:SetBackColor( Turbine.UI.Color( EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue ) );
--EI["Ctr"]:SetBackColor( Color["red"] ); -- Debug purpose

EI["Ctr"].MouseClick = function( sender, args )
	EI["Lbl"].MouseClick( sender, args )
end
--**^
--**v Player icon & infos on TitanBar v**
EI["Icon"] = Turbine.UI.Control();
EI["Icon"]:SetParent( EI["Ctr"] );
EI["Icon"]:SetPosition( 5, 0 );
EI["Icon"]:SetSize( 32, 32 );
EI["Icon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
EI["Icon"]:SetBackground( 0x410f2ea5 ); -- 0x410f2eae
--EI["Icon"]:SetBackColor( Color["blue"] ); -- Debug purpose
	
EI["Icon"].MouseMove = function( sender, args )
	EI["Lbl"].MouseLeave( sender, args )
end

EI["Icon"].MouseClick = function( sender, args )
	EI["Lbl"].MouseClick( sender, args )
end

EI["Lbl"] = Turbine.UI.Label();
EI["Lbl"]:SetParent( EI["Ctr"] );
EI["Lbl"]:SetPosition( EI["Icon"]:GetLeft() + EI["Icon"]:GetWidth() + 2, 0 );
--EI["Lbl"]:SetForeColor( Color["white"] );
EI["Lbl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
EI["Lbl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
--EI["Lbl"]:SetBackColor( Color["orange"] ); -- Debug purpose
	
EI["Lbl"].MouseMove = function( sender, args )
	if dragging then
		--write("Dragging Ctr in progess");
	else
		EI["Lbl"].MouseLeave( sender, args )
		ShowToolTipWin( "EI" );
	end
end

EI["Lbl"].MouseLeave = function( sender, args )
	TB["win"].MouseLeave( sender, args )
end

EI["Lbl"].MouseClick = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Right ) then
		_G.sFromCtr = "EI";
		ControlMenu:ShowMenu();
	elseif ( args.Button == Turbine.UI.MouseButton.Left ) then
		if frmEI then wEquipInfos:Close(); end
		if frmDI then wDurabilityInfos:Close(); end
		import (AppCtrD.."EquipInfosWindow");
		frmEquipInfosWindow();
	end
end

EI["Lbl"].MouseDown = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		_G.sFromCtr = "EI";
		dragStartX = args.X;
		dragStartY = args.Y;
		dragging = true;
	end
end

EI["Lbl"].MouseUp = function( sender, args )
	--write("Dragging Ctr has stop");
	dragging = false;
	CornerClick = "";
end
--**^