-- functionsMenuControl.lua
-- Written By Habna


--**v Functions for the menu of control v**
--**v Unload control v**
function UnloadControl( value )
	if value == "ctr" then
		if ShowMoney then ShowHideMoney(); opt_Money:SetChecked( false ); end
		if ShowDestinyPoints then ShowHideDestinyPoints(); opt_DP:SetChecked( false ); end
		if ShowBagInfos then ShowHideBackpackInfos(); opt_BI:SetChecked( false ); end
		if ShowPlayerInfos then ShowHidePlayerInfos(); opt_PI:SetChecked( false ); end
		if ShowEquipInfos then ShowHideEquipInfos(); opt_EI:SetChecked( false ); end
		if ShowDurabilityInfos then ShowHideDurabilityInfos(); opt_DI:SetChecked( false ); end

		if ShowPlayerLoc then ShowHidePlayerLoc(); opt_PL:SetChecked( false ); end
		if ShowGameTime then ShowHideGameTime(); opt_GT:SetChecked( false ); end
	elseif value == "this" then
		if _G.sFromCtr == "Money" then ShowHideMoney(); opt_Money:SetChecked( false );
		elseif _G.sFromCtr == "DP" then	ShowHideDestinyPoints(); opt_DP:SetChecked( false );
		elseif _G.sFromCtr == "BI" then	ShowHideBackpackInfos(); opt_BI:SetChecked( false );
		elseif _G.sFromCtr == "PI" then	ShowHidePlayerInfos(); opt_PI:SetChecked( false );
		elseif _G.sFromCtr == "EI" then	ShowHideEquipInfos(); opt_EI:SetChecked( false );
		elseif _G.sFromCtr == "DI" then	ShowHideDurabilityInfos(); opt_DI:SetChecked( false );
		
		elseif _G.sFromCtr == "PL" then	ShowHidePlayerLoc(); opt_PL:SetChecked( false );
		elseif _G.sFromCtr == "GT" then	ShowHideGameTime(); opt_GT:SetChecked( false );
		end
	end

	_G.sFromCtr = "TitanBar";
end
--**^
--**v Apply TitanBar back color to control v**
function MatchTBBGColor( value )
	if value == "all" then		
		MbcAlpha, MbcRed, MbcGreen, MbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
		if ShowMoney then MI["Ctr"]:SetBackColor( Turbine.UI.Color( MbcAlpha, MbcRed, MbcGreen, MbcBlue ) ); end
		DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
		if ShowDestinyPoints then DP["Ctr"]:SetBackColor( Turbine.UI.Color( DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue ) ); end
		BbcAlpha, BbcRed, BbcGreen, BbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
		if ShowBagInfos then BI["Ctr"]:SetBackColor( Turbine.UI.Color( BbcAlpha, BbcRed, BbcGreen, BbcBlue ) ); end
		PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
		if ShowPlayerInfos then PI["Ctr"]:SetBackColor( Turbine.UI.Color( PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue ) ); end
		EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
		if ShowEquipInfos then EI["Ctr"]:SetBackColor( Turbine.UI.Color( EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue ) ); end
		DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
		if ShowDurabilityInfos then DI["Ctr"]:SetBackColor( Turbine.UI.Color( DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue ) ); end

		PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
		if ShowPlayerLoc then PL["Ctr"]:SetBackColor( Turbine.UI.Color( PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue ) ); end
		GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
		if ShowGameTime then GT["Ctr"]:SetBackColor( Turbine.UI.Color( GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue ) );	end
	else
		if _G.sFromCtr == "Money" then
			MbcAlpha, MbcRed, MbcGreen, MbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
			MI["Ctr"]:SetBackColor( Turbine.UI.Color( MbcAlpha, MbcRed, MbcGreen, MbcBlue ) );
		elseif _G.sFromCtr == "DP" then
			DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
			DP["Ctr"]:SetBackColor( Turbine.UI.Color( DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue ) );
		elseif _G.sFromCtr == "BI" then
			BbcAlpha, BbcRed, BbcGreen, BbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
			BI["Ctr"]:SetBackColor( Turbine.UI.Color( BbcAlpha, BbcRed, BbcGreen, BbcBlue ) );
		elseif _G.sFromCtr == "PI" then
			PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
			PI["Ctr"]:SetBackColor( Turbine.UI.Color( PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue ) );
		elseif _G.sFromCtr == "EI" then
			EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
			EI["Ctr"]:SetBackColor( Turbine.UI.Color( EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue ) );
		elseif _G.sFromCtr == "DI" then
			DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
			DI["Ctr"]:SetBackColor( Turbine.UI.Color( DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue ) );

		elseif _G.sFromCtr == "PL" then
			PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
			PL["Ctr"]:SetBackColor( Turbine.UI.Color( PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue ) );
		elseif _G.sFromCtr == "GT" then
			GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue = bcAlpha, bcRed, bcGreen, bcBlue;
			GT["Ctr"]:SetBackColor( Turbine.UI.Color( GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue ) );
		end
	end

	_G.sFromCtr = "TitanBar";
	SaveSettings();
end
--**^
--**v Reset back color of v**
function ResetBGColor( value )
	if value == "ctr" then
		if GLocale == "en" then MbcAlpha, MbcRed, MbcGreen, MbcBlue = 0.3, 0.3, 0.3, 0.3;
		else MbcAlpha, MbcRed, MbcGreen, MbcBlue = "0,3", "0,3", "0,3", "0,3"; end
		if ShowMoney then MI["Ctr"]:SetBackColor( Turbine.UI.Color( MbcAlpha, MbcRed, MbcGreen, MbcBlue ) ); end
		if GLocale == "en" then DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue = 0.3, 0.3, 0.3, 0.3;
		else DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue = "0,3", "0,3", "0,3", "0,3"; end
		if ShowDestinyPoints then DP["Ctr"]:SetBackColor( Turbine.UI.Color( DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue ) ); end
		if GLocale == "en" then BbcAlpha, BbcRed, BbcGreen, BbcBlue = 0.3, 0.3, 0.3, 0.3;
		else BbcAlpha, BbcRed, BbcGreen, BbcBlue = "0,3", "0,3", "0,3", "0,3"; end
		if ShowBagInfos then BI["Ctr"]:SetBackColor( Turbine.UI.Color( BbcAlpha, BbcRed, BbcGreen, BbcBlue ) ); end
		if GLocale == "en" then PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue = 0.3, 0.3, 0.3, 0.3;
		else PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue = "0,3", "0,3", "0,3", "0,3"; end
		if ShowPlayerInfos then PI["Ctr"]:SetBackColor( Turbine.UI.Color( PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue ) ); end
		if GLocale == "en" then EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue = 0.3, 0.3, 0.3, 0.3;
		else EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue = "0,3", "0,3", "0,3", "0,3"; end
		if ShowEquipInfos then EI["Ctr"]:SetBackColor( Turbine.UI.Color( EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue ) ); end
		if GLocale == "en" then DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue = 0.3, 0.3, 0.3, 0.3;
		else DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue = "0,3", "0,3", "0,3", "0,3"; end
		if ShowDurabilityInfos then DI["Ctr"]:SetBackColor( Turbine.UI.Color( DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue ) ); end

		if GLocale == "en" then PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue = 0.3, 0.3, 0.3, 0.3;
		else PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue = "0,3", "0,3", "0,3", "0,3"; end
		if ShowPlayerLoc then PL["Ctr"]:SetBackColor( Turbine.UI.Color( PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue ) ); end
		if GLocale == "en" then GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue = 0.3, 0.3, 0.3, 0.3;
		else GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue = "0,3", "0,3", "0,3", "0,3"; end
		if ShowGameTime then GT["Ctr"]:SetBackColor( Turbine.UI.Color( GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue ) );	end
	elseif value == "all" then
		ResetBGColor( "ctr" );
		ResetBGColor( "TitanBar" );
	elseif value == "this" then
		if _G.sFromCtr == "Money" then
			if GLocale == "en" then MbcAlpha, MbcRed, MbcGreen, MbcBlue = 0.3, 0.3, 0.3, 0.3;
			else MbcAlpha, MbcRed, MbcGreen, MbcBlue = "0,3", "0,3", "0,3", "0,3"; end
			MI["Ctr"]:SetBackColor( Turbine.UI.Color( MbcAlpha, MbcRed, MbcGreen, MbcBlue ) );
		elseif _G.sFromCtr == "DP" then
			if GLocale == "en" then DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue = 0.3, 0.3, 0.3, 0.3;
			else DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue = "0,3", "0,3", "0,3", "0,3"; end
			DP["Ctr"]:SetBackColor( Turbine.UI.Color( DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue ) );
		elseif _G.sFromCtr == "BI" then
			if GLocale == "en" then BbcAlpha, BbcRed, BbcGreen, BbcBlue = 0.3, 0.3, 0.3, 0.3;
			else BbcAlpha, BbcRed, BbcGreen, BbcBlue = "0,3", "0,3", "0,3", "0,3"; end
			BI["Ctr"]:SetBackColor( Turbine.UI.Color( BbcAlpha, BbcRed, BbcGreen, BbcBlue ) );
		elseif _G.sFromCtr == "PI" then
			if GLocale == "en" then PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue = 0.3, 0.3, 0.3, 0.3;
			else PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue = "0,3", "0,3", "0,3", "0,3" end
			PI["Ctr"]:SetBackColor( Turbine.UI.Color( PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue ) );
		elseif _G.sFromCtr == "EI" then
			if GLocale == "en" then EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue = 0.3, 0.3, 0.3, 0.3;
			else EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue = "0,3", "0,3", "0,3", "0,3" end
			EI["Ctr"]:SetBackColor( Turbine.UI.Color( EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue ) );
		elseif _G.sFromCtr == "DI" then
			if GLocale == "en" then DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue = 0.3, 0.3, 0.3, 0.3;
			else DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue = "0,3", "0,3", "0,3", "0,3" end
			DI["Ctr"]:SetBackColor( Turbine.UI.Color( DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue ) );

		elseif _G.sFromCtr == "PL" then
			if GLocale == "en" then PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue = 0.3, 0.3, 0.3, 0.3;
			else PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue = "0,3", "0,3", "0,3", "0,3" end
			PL["Ctr"]:SetBackColor( Turbine.UI.Color( PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue ) );
		elseif _G.sFromCtr == "GT" then
			if GLocale == "fr" then GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue = 0.3, 0.3, 0.3, 0.3;
			else GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue = "0,3", "0,3", "0,3", "0,3" end
			GT["Ctr"]:SetBackColor( Turbine.UI.Color( GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue ) );
		end
	elseif value == "TitanBar" then
		if GLocale == "en" then bcAlpha, bcRed, bcGreen, bcBlue = 0.3, 0.3, 0.3, 0.3;
		else bcAlpha, bcRed, bcGreen, bcBlue = "0,3", "0,3", "0,3", "0,3" end
		TB["win"]:SetBackColor( Turbine.UI.Color( bcAlpha, bcRed, bcGreen, bcBlue ) );
	end

	_G.sFromCtr = "TitanBar";
	SaveSettings();
end
--**^
--**v Apply control back color to v**
function ApplyCBCTo( value )
	if _G.sFromCtr == "Money" then
		tA, tR, tG, tB = MbcAlpha, MbcRed, MbcGreen, MbcBlue;
	elseif _G.sFromCtr == "DP" then
		tA, tR, tG, tB = DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue;
	elseif _G.sFromCtr == "BI" then
		tA, tR, tG, tB = BbcAlpha, BbcRed, BbcGreen, BbcBlue;
	elseif _G.sFromCtr == "PI" then
		tA, tR, tG, tB = PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue;
	elseif _G.sFromCtr == "EI" then
		tA, tR, tG, tB = EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue;
	elseif _G.sFromCtr == "DI" then
		tA, tR, tG, tB = DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue;

	elseif _G.sFromCtr == "PL" then
		tA, tR, tG, tB = PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue;
	elseif _G.sFromCtr == "GT" then
		tA, tR, tG, tB = GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue;
	end

	if value == "all" then
		ApplyCBCTo( "ctr" )
		ApplyCBCTo( "TitanBar" )
	elseif value == "ctr" then
		MbcAlpha, MbcRed, MbcGreen, MbcBlue = tA, tR, tG, tB;
		if ShowMoney then MI["Ctr"]:SetBackColor( Turbine.UI.Color( MbcAlpha, MbcRed, MbcGreen, MbcBlue ) ); end
		DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue = tA, tR, tG, tB;
		if ShowDestinyPoints then DP["Ctr"]:SetBackColor( Turbine.UI.Color( DPbcAlpha, DPbcRed, DPbcGreen, DPbcBlue ) ); end
		BbcAlpha, BbcRed, BbcGreen, BbcBlue = tA, tR, tG, tB;
		if ShowBagInfos then BI["Ctr"]:SetBackColor( Turbine.UI.Color( BbcAlpha, BbcRed, BbcGreen, BbcBlue ) ); end
		PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue = tA, tR, tG, tB;
		if ShowPlayerInfos then PI["Ctr"]:SetBackColor( Turbine.UI.Color( PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue ) ); end
		EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue = tA, tR, tG, tB;
		if ShowEquipInfos then EI["Ctr"]:SetBackColor( Turbine.UI.Color( EIbcAlpha, EIbcRed, EIbcGreen, EIbcBlue ) ); end
		DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue = tA, tR, tG, tB;
		if ShowDurabilityInfos then DI["Ctr"]:SetBackColor( Turbine.UI.Color( DIbcAlpha, DIbcRed, DIbcGreen, DIbcBlue ) ); end

		PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue = tA, tR, tG, tB;
		if ShowPlayerLoc then PL["Ctr"]:SetBackColor( Turbine.UI.Color( PLbcAlpha, PLbcRed, PLbcGreen, PLbcBlue ) ); end
		GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue = tA, tR, tG, tB;
		if ShowGameTime then GT["Ctr"]:SetBackColor( Turbine.UI.Color( GTbcAlpha, GTbcRed, GTbcGreen, GTbcBlue ) ); end
	elseif value == "TitanBar" then
		bcAlpha, bcRed, bcGreen, bcBlue = tA, tR, tG, tB;
		TB["win"]:SetBackColor( Turbine.UI.Color( bcAlpha, bcRed, bcGreen, bcBlue ) );
	end

	SaveSettings();
end
--**^