-- MoneyInfos.lua
-- Written by Habna


_G.MI = {}; -- Money Infos table in _G
--**v Control of Gold/Silver/Copper currencies v**
MI["Ctr"] = Turbine.UI.Control();
MI["Ctr"]:SetParent( TB["win"] );
--MI["Ctr"]:SetVisible( ShowMoney );
MI["Ctr"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
MI["Ctr"]:SetBackColor( Turbine.UI.Color( MbcAlpha, MbcRed, MbcGreen, MbcBlue ) );
--MI["Ctr"]:SetBackColor( Color["red"] ); -- Debug purpose

MI["Ctr"].MouseClick = function( sender, args )
	MI["CIcon"].MouseClick( sender, args )
end
--**^
--**v Gold amount & icon on TitanBar v**
MI["GLbl"] = Turbine.UI.Label();
MI["GLbl"]:SetParent( MI["Ctr"] );
--MI["GLbl"]:SetForeColor( Color["white"] );
MI["GLbl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
MI["GLbl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
--MI["GLbl"]:SetBackColor( Color["white"] ); -- Debug purpose

MI["GLbl"].MouseMove = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
	ShowToolTipWin( "MoneyG" );
end

MI["GLbl"].MouseLeave = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
end

MI["GLbl"].MouseClick = function( sender, args )
	MI["CLbl"].MouseClick( sender, args )
end

MI["GIcon"] = Turbine.UI.Control();
MI["GIcon"]:SetParent( MI["Ctr"] );
MI["GIcon"]:SetSize( 27, 21 );
MI["GIcon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
MI["GIcon"]:SetBackground( 0x41007e7b ); -- in-game gold icon
--MI["GIcon"]:SetBackColor( Color["blue"] ); -- Debug purpose

MI["GIcon"].MouseMove = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
end

MI["GIcon"].MouseLeave = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
end

MI["GIcon"].MouseClick = function( sender, args )
	MI["CLbl"].MouseClick( sender, args )
end
--**^
--**v Silver amount & icon on TitanBar v**
MI["SLbl"] = Turbine.UI.Label();
MI["SLbl"]:SetParent( MI["Ctr"] );
--MI["SLbl"]:SetForeColor( Color["white"] );
MI["SLbl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
MI["SLbl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
--MI["SLbl"]:SetBackColor( Color["white"] ); -- Debug purpose

MI["SLbl"].MouseMove = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
	ShowToolTipWin( "MoneyS" );
end

MI["SLbl"].MouseLeave = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
end

MI["SLbl"].MouseClick = function( sender, args )
	MI["CLbl"].MouseClick( sender, args )
end

MI["SIcon"] = Turbine.UI.Control();
MI["SIcon"]:SetParent( MI["Ctr"] );
MI["SIcon"]:SetSize( 27, 21 );
MI["SIcon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
MI["SIcon"]:SetBackground( 0x41007e7c ); -- in-game silver icon
--MI["SIcon"]:SetBackColor( Color["blue"] ); -- Debug purpose

MI["SIcon"].MouseMove = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
end

MI["SIcon"].MouseLeave = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
end

MI["SIcon"].MouseClick = function( sender, args )
	MI["CLbl"].MouseClick( sender, args )
end
--**^
--**v Copper amount & icon on TitanBar v**
MI["CLbl"] = Turbine.UI.Label();
MI["CLbl"]:SetParent( MI["Ctr"] );
--MI["CLbl"]:SetForeColor( Color["white"] );
MI["CLbl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
MI["CLbl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
--MI["CLbl"]:SetBackColor( Color["white"] ); -- Debug purpose

MI["CLbl"].MouseMove = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
	ShowToolTipWin( "MoneyC" );
end

MI["CLbl"].MouseLeave = function( sender, args )
	MI["CIcon"].MouseLeave( sender, args )
end

MI["CLbl"].MouseClick = function( sender, args )
	MI["CIcon"].MouseClick( sender, args )
end

MI["CIcon"] = Turbine.UI.Control();
MI["CIcon"]:SetParent( MI["Ctr"] );
MI["CIcon"]:SetSize( 27, 21 );
MI["CIcon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
MI["CIcon"]:SetBackground( 0x41007e7d ); -- in-game copper icon
--MI["CIcon"]:SetBackColor( Color["blue"] ); -- Debug purpose

MI["CIcon"].MouseMove = function( sender, args )
	TB["win"].MouseLeave( sender, args )
end

MI["CIcon"].MouseLeave = function( sender, args )
	TB["win"].MouseLeave( sender, args )
end

MI["CIcon"].MouseClick = function( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Right ) then
		_G.sFromCtr = "Money";
		ControlMenu:ShowMenu();
	elseif ( args.Button == Turbine.UI.MouseButton.Left ) then
		if frmMI then wMoneyInfos:Close(); end
		import (AppCtrD.."MoneyInfosWindow");
		frmMoneyInfosWindow();
	end
end
--**^