-- PlayerInfos.lua
-- Written by Habna


_G.PI = {}; -- Player Infos table in _G
--**v Control for player infos v**
PI["Ctr"] = Turbine.UI.Control();
PI["Ctr"]:SetParent( TB["win"] );
--PI["Ctr"]:SetVisible( ShowPlayerInfos );
PI["Ctr"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
PI["Ctr"]:SetBackColor( Turbine.UI.Color( PIbcAlpha, PIbcRed, PIbcGreen, PIbcBlue ) );
--PI["Ctr"]:SetBackColor( Color["red"] ); -- Debug purpose

PI["Ctr"].MouseClick = function( sender, args )
	PI["Name"].MouseClick( sender, args )
end
--**^
--**v Player icon & infos on TitanBar v**
PI["Icon"] = Turbine.UI.Control();
PI["Icon"]:SetParent( PI["Ctr"] );
PI["Icon"]:SetPosition( 5, 2 );
PI["Icon"]:SetSize( 25, 25 );
PI["Icon"]:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
--PI["Icon"]:SetBackground( resources.Ring.Background );
--PI["Icon"]:SetBackColor( Color["blue"] ); -- Debug purpose
	
PI["Icon"].MouseMove = function( sender, args )
	PI["Name"].MouseLeave( sender, args )
	ShowToolTipWin( "PIcon" );
end

PI["Icon"].MouseLeave = function( sender, args )
	PI["Name"].MouseLeave( sender, args )
end

PI["Icon"].MouseClick = function( sender, args )
	PI["Name"].MouseClick( sender, args )
end

PI["Lvl"] = Turbine.UI.Label();
PI["Lvl"]:SetParent( PI["Ctr"] );
PI["Lvl"]:SetPosition( PI["Icon"]:GetLeft() + PI["Icon"]:GetWidth() + 2, 0 );
--PI["Lvl"]:SetForeColor( Color["white"] );
PI["Lvl"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
PI["Lvl"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
--PI["Lvl"]:SetBackColor( Color["orange"] ); -- Debug purpose
	
PI["Lvl"].MouseMove = function( sender, args )
	PI["Name"].MouseLeave( sender, args )
	ShowToolTipWin( "PLvl" );
end

PI["Lvl"].MouseLeave = function( sender, args )
	PI["Name"].MouseLeave( sender, args )
end

PI["Lvl"].MouseClick = function( sender, args )
	PI["Name"].MouseClick( sender, args )
end

PI["Name"] = Turbine.UI.Label();
PI["Name"]:SetParent( PI["Ctr"] );
--PI["Name"]:SetForeColor( Color["white"] );
PI["Name"]:SetFontStyle( Turbine.UI.FontStyle.Outline );
PI["Name"]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
--PI["Name"]:SetBackColor( Color["white"] ); -- Debug purpose

PI["Name"].MouseMove = function( sender, args )
	TB["win"].MouseLeave( sender, args )
	ShowToolTipWin( "PName" );
end

PI["Name"].MouseLeave = function( sender, args )
	TB["win"].MouseLeave( sender, args )
end

PI["Name"].MouseClick = function( sender, args )
	--TB["win"].MouseClick( sender, args )
	if ( args.Button == Turbine.UI.MouseButton.Right ) then
		_G.sFromCtr = "PI";
		ControlMenu:ShowMenu();
	elseif ( args.Button == Turbine.UI.MouseButton.Left ) then
		-- Open character panel
		-- Unable to send 'C' key to game
	end
end
--**^