-- Main.lua
-- written by Habna


import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";

Version = "v1.4.5"; --> ** TitanBar current version **

_G.sFromCtr = nil;
PlayerAlign = 1;

screenWidth, screenHeight = Turbine.UI.Display.GetSize();
write = Turbine.Shell.WriteLine;

AppDir = "HabnaPlugins.TitanBar";
AppDirD = AppDir..".";

AppClassD = AppDirD.."Class.";
AppCtrD = AppDirD.."Control.";
AppLocaleD = AppDirD.."Locale.";
AppRes = "HabnaPlugins/TitanBar/Resources/";

-- Detect Game Language
GLocale = "en";
if(Turbine.Shell.IsCommand("zusatzmodule")==true) then GLocale = "de";
elseif(Turbine.Shell.IsCommand("conseil")==true) then GLocale = "fr"; end
--

import (AppDir);
import (AppDirD.."color");
import (AppDirD.."settings");
LoadSettings();
import (AppDirD.."functions");
import (AppDirD.."functionsCtr");
import (AppDirD.."functionsMenu");
import (AppDirD.."functionsMenuControl");
import (AppDirD.."OptionPanel"); -- LUA option panel file (for in-game plugin manager options tab)
import (AppDirD.."menu");
import (AppDirD.."menuControl");
import (AppDirD.."frmMain");
frmMain();

TitanBarCommand = Turbine.ShellCommand()

function TitanBarCommand:Execute( command, arguments )
	if ( arguments == L["SC1"] or arguments == "opt") then
		TitanBarMenu:ShowMenu();
	elseif ( arguments == L["SC2"] or arguments == "u" ) then
		UnloadTitanBar();
	elseif ( arguments == L["SC3"] or arguments == "r" ) then
		ReloadTitanBar();
	elseif ( arguments == L["SC4"] or arguments == "ra" ) then
		ResetSettings();
	elseif ( arguments == L["SC5"] or arguments == "mi") then
		ShowHideMoney();
	elseif ( arguments == L["SC6"] or arguments == "dp") then
		ShowHideDestinyPoints();
	elseif ( arguments == L["SC7"] or arguments == "bi" ) then
		ShowHideBackpackInfos();
	elseif ( arguments == L["SC8"] or arguments == "pi" ) then
		ShowHidePlayerInfos();
	elseif ( arguments == L["SC9"] or arguments == "ei" ) then
		ShowHideEquipInfos();
	elseif ( arguments == L["SC10"] or arguments == "di" ) then
		ShowHideDurabilityInfos();
	elseif ( arguments == L["SC11"] or arguments == "pl" ) then
		ShowHidePlayerLoc();
	elseif ( arguments == L["SC12"] or arguments == "gt" ) then
		ShowHideGameTime();
	elseif ( arguments == L["SC13"] or arguments == "sc" ) then
		HelpInfo();
	else
		write( "TitanBar: " .. L["SC0"] );
	end
end
Turbine.Shell.AddCommand('TitanBar', TitanBarCommand)

Turbine.Plugin.Loaded = function( self, sender, args )
	write( "TitanBar v" .. Version .. " by Habna" );
end