-- color.lua
-- Written By Habna


_G.Color = {}; -- Color table in _G
-- Color( Alpha, Red, Green, Blue ) or Color( Red, Green, Blue )
Color["silver"] = Turbine.UI.Color( .75, .75, .75 );
Color["blue"] = Turbine.UI.Color( 0, 0, 1 );
Color["green"] = Turbine.UI.Color( 0, 1, 0 );
Color["red"] = Turbine.UI.Color( 1, 0, 0 );
Color["grey"] = Turbine.UI.Color( 0.5, 0.5, 0.5 );
Color["lightgrey"] = Turbine.UI.Color( 0.5, 0.5, 0.5, 0.5 );
Color["verylightgrey"] = Turbine.UI.Color( 0.05, 0.5, 0.5, 0.5 );
Color["darkgrey"] = Turbine.UI.Color( 0.1, 0.1, 0.1 );
Color["gold"] = Turbine.UI.Color( 0.8, 0.6, 0.1 );
Color["rustedgold"] = Turbine.UI.Color( 0.7, 0.6, 0.2 );
Color["transparent"] = Turbine.UI.Color( 0.3, 0.3, 0.3, 0.3 ); --Not fully transparent
Color["ftransparent"] = Turbine.UI.Color ( 0, 0, 0, 0 ); -- Fully
Color["black"] = Turbine.UI.Color( 1, 0, 0, 0 );
Color["blacksemitrans"] = Turbine.UI.Color( 0.5, 0, 0, 0 );
Color["white"] = Turbine.UI.Color( 1, 1, 1 );
Color["orange"] = Turbine.UI.Color( 1, 0.7, 0 ); -- first age = orange
Color["cyan"] = Turbine.UI.Color( 0, 1, 1 ); -- second age = cyan
Color["purple"] = Turbine.UI.Color( 1, 0, 1 ); -- third age = purple

Color["TurbineWhite"] = Turbine.UI.Color(1, 0.9, 0.9, 0.9);
Color["TurbineYellow"] = Turbine.UI.Color( 1, 231/255, 231/255, 69/231);
Color["TurineOrange"] = Turbine.UI.Color( 1, 190/255, 148/255, 0 );
Color["TurbineLightYellow"] = Turbine.UI.Color( 1, 232/255, 229/255, 174/255 );
Color["TurbineGrey"] = Turbine.UI.Color( 1, 0.5, 0.5, 0.5 );

Color["none"] = Turbine.UI.Color();