-- shellcmd.lua
-- written by Habna


local max = 13; -- Number of shell commands

local ShellCommandName = {};
local ShellCommandDes = {};

for i = 1, max do ShellCommandName[i]= ( L["SC" .. i] ); ShellCommandDes[i]= ( L["SCWC" .. i] ); end

function frmShellCmd()
	frmSC = true;
	opt_shellcmd:SetEnabled( false );

	wShellCmd = Turbine.UI.Lotro.Window()
	--wShellCmd = Turbine.UI.Lotro.GoldWindow()
	
	-- **v Set backcolor, position, size and text of the window v**
	if TBLocale == "en" then wShellCmd:SetSize( 415, 50 ); end
	if TBLocale == "fr" then wShellCmd:SetSize( 500, 50 ); end
	if TBLocale == "de" then wShellCmd:SetSize( 630, 50 ); end
	wShellCmd:SetText( L["SCWTitle"] );
	wShellCmd:SetWantsKeyEvents( true );
	wShellCmd:SetVisible( true );
	wShellCmd:SetZOrder( 2 );
	wShellCmd:Activate();
	-- **^

	wShellCmd.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			wShellCmd:Close();
		elseif ( args.Action == 268435635 ) then -- **v Hide wShellCmd if F12 key is press v**
			wShellCmd:SetVisible( not wShellCmd:IsVisible() );
		end
	end

	wShellCmd.Closing = function( sender, args ) -- Function for the Upper right X icon
		wShellCmd = nil;
		frmSC = nil;
		opt_shellcmd:SetEnabled( true );
	end
	
	--**v Shell command v**
	local PosY = 40;
	local Max = #ShellCommandName --9 --Number of shell command

	for i = 1, Max do
		local lblShell = Turbine.UI.Label();
		lblShell:SetParent( wShellCmd );
		--lblShell:SetFont ( 12 );
		lblShell:SetText( "/titanbar " .. ShellCommandName[i] );
		lblShell:SetPosition( 25, PosY );
		lblShell:SetSize( string.len(lblShell:GetText()) * 7.5, 18 );
		lblShell:SetForeColor( Color["green"] );
		lblShell:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
		--lblShell:SetBackColor( Color["red"] ); -- debug purpose

		local lblShellDes = Turbine.UI.Label();
		lblShellDes:SetParent( wShellCmd );
		--lblShellDes:SetFont ( 12 );
		lblShellDes:SetText( ShellCommandDes[i] );
		lblShellDes:SetPosition( lblShell:GetLeft() + lblShell:GetWidth() + 5, PosY );
		lblShellDes:SetSize( string.len(lblShellDes:GetText()) * 7.5, 18 );
		lblShellDes:SetForeColor( Color["white"] );
		--lblShellDes:SetBackColor( Color["red"] ); -- debug purpose
		lblShellDes:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
		PosY = PosY + 15;
		wShellCmd:SetHeight( PosY );
	end
	wShellCmd:SetHeight( PosY + 20 );

	local winWidth, winHeight = wShellCmd:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    wShellCmd:SetPosition( left, top );
	--**^
end